# Source code for azure.mgmt.web.models.csm_slot_entity

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class CsmSlotEntity(Model):
        """Class containing deployment slot parameters.

        :param target_slot: Set the destination deployment slot during swap
         operation
        :type target_slot: str
        :param preserve_vnet: Get or set the flag indicating it should preserve
         VNet to the slot during swap
        :type preserve_vnet: bool
        """

        _attribute_map = {
            'target_slot': {'key': 'targetSlot', 'type': 'str'},
            'preserve_vnet': {'key': 'preserveVnet', 'type': 'bool'},
        }

        def __init__(self, target_slot=None, preserve_vnet=None):
            self.target_slot = target_slot
            self.preserve_vnet = preserve_vnet